Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.extension
Interface IExecutorContext

All Superinterfaces:
  org.eclipse.birt.report.engine.api.script.IReportContext

    public interface IExecutorContext

extends org.eclipse.birt.report.engine.api.script.IReportContext

Method Summary
`IReportItemExecutor` | `createExecutor(IReportItemExecutor parent, java.lang.Object handle)` create IReportItemExecutor of handle, the extendedItem is child.
`IBaseResultSet` | `executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query)` execute query
`IBaseResultSet` | `executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query, java.lang.Object handle)` execute query
`org.eclipse.birt.data.engine.api.IDataQueryDefinition[]` | `getQueries(java.lang.Object handle)` get the queries of the handle
`IReportContent` | `getReportContent()` return IReportContent.

Methods inherited from interface org.eclipse.birt.report.engine.api.script.IReportContext
`deleteGlobalVariable, deletePersistentGlobalVariable, evaluate, getAppContext, getApplicationClassLoader, getDesignHandle, getGlobalVariable, getHttpServletRequest, getLocale, getMessage, getMessage, getMessage, getMessage, getOutputFormat, getPageVariable, getParameterDisplayText, getParameterValue, getPersistentGlobalVariable, getRenderOption, getReportRunnable, getResource, getResourceRenderURL, getTaskType, getTimeZone, setGlobalVariable, setPageVariable, setParameterDisplayText, setParameterValue, setPersistentGlobalVariable`

Method Detail

### createExecutor

    IReportItemExecutor createExecutor(IReportItemExecutor parent,
                                       java.lang.Object handle)

  create IReportItemExecutor of handle, the extendedItem is child.

### getReportContent

    IReportContent getReportContent()

  return IReportContent. User can use it to create content for extendedItem.

### executeQuery

    IBaseResultSet executeQuery(IBaseResultSet parent,
                                org.eclipse.birt.data.engine.api.IDataQueryDefinition query)

  execute query

### executeQuery

    IBaseResultSet executeQuery(IBaseResultSet parent,
                                org.eclipse.birt.data.engine.api.IDataQueryDefinition query,
                                java.lang.Object handle)

  execute query

### getQueries

    org.eclipse.birt.data.engine.api.IDataQueryDefinition[] getQueries(java.lang.Object handle)

  get the queries of the handle

  Parameters:
    `handle` -
  Returns:
    queries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.